Subject: Re: [Idr] [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

From: <[email-masked]>
Date: Fri, 13 Nov 2015 17:46:01 +0100

John,

(Cc'ing IDR.)

2015-11-13, John E Drake:
>
> I spoke with Eric and Ali and we would like to change both the
> overlay  draft and the tunnel encaps drafts as follows.
>
> For the overlay draft, replace this text in section 5.1.3:
>
> "If the BGP Encapsulation extended community is not present, then
> thedefault MPLS encapsulation or a statically configured encapsulation is
 > assumed."
>
> With the following:
>
> "Note that the MPLS encapsulation tunnel type is needed in order to
> distinguish between an advertising node that only supports non-MPLS
> encapsulations and one that supports MPLS and non-MPLS
> encapsulations. An advertising node that only supports MPLS
> encapsulation does not need to advertise any encapsulation tunnel
> types; i.e., if the BGP Encapsulation extended community is not
> present, then either MPLS encapsulation or a statically configured
> encapsulation is assumed."

Having more text to explain things in the overlay draft does not hurt.

>
> For the tunnel encaps draft, replace this text in section 5:
>
> "If the Tunnel Encapsulation attribute contains several TLVs (i.e.,
> ifit specifies several tunnels), router R may choose any one of those
 > tunnels, based upon local policy. If any of tunnels' TLVs contain the
 > Color sub-TLV and/or the Protocol Type sub-TLV defined in [RFC5512], the
> choice of tunnel may be influenced by these sub-TLVs."
>
> With the following:
>
> "If the Tunnel Encapsulation attribute contains several TLVs (i.e.,
> ifit specifies several tunnels), router R may choose any one of those
> tunnels, based upon local policy. If any of tunnels' TLVs contain the
> Color sub-TLV and/or the Protocol Type sub-TLV defined in [RFC5512], the
> choice of tunnel may be influenced by these sub-TLVs. Note that if none
> of the TLVs specifies the MPLS tunnel type, a Label Switched Path SHOULD
> NOT be used unless none of the TLVs specifies a feasible tunnel."

I think that the above will technically work.

*However* it would be a pity to *not* have the very useful clear-text 
explanation of the reason for the 'MPLS' type (what you propose to add 
above in the overlay draft) in  draft-ietf-idr-tunnel-encaps-00... why 
provide the smooth explanation for only one of the specs to which this 
'MPLS' type applies ?

>
> We hope this is satisfactory.

Close, but not quite there yet :)

Best,

-Thomas

>
>> -----Original Message-----
>> From: Thomas Morin [mailto:[email-masked]]
>> Sent: Thursday, November 12, 2015 10:08 AM
>> To: John E Drake; [email-masked]
>> Cc: Eric Rosen
>> Subject: Re: [bess] One question about 'draft-ietf-bess-evpn-overlay-02'
>>
>> Hi John,
>>
>> 2015-11-12, John E Drake:
>>>
>>> Why do you think it should be documented in Eric's draft rather than in the
>> EVPN Overlay draft?
>>
>> The issue applies beyond the context of E-VPN overlay specs, and exist in
>> any context where different kinds of MPLS(/x) encaps can be mixed (E-VPN
>> non-overlay, IP VPNs), which is addressed by Eric's draft.
>>
>> Best,
>>
>> -Thomas
>

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Lucy yong <[email-masked]>
Date: Fri, 13 Nov 2015 18:12:24 +0000

Hi John,

Since the tunnel encap draft goes with encap tunnel attribute and there was no deployment of RFC5512, IMO, we should deprecate encapsulation extended community to keep a consistent method. 

Thus, should the overlay draft states if BGP tunnel encapsulate attribute is not present, ....

Regards,
Lucy 

-----Original Message-----
From: BESS [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, November 13, 2015 10:46 AM
To: John E Drake; [email-masked]
Cc: IDR; Ali Sajassi (sajassi); Eric Rosen
Subject: Re: [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

John,

(Cc'ing IDR.)

2015-11-13, John E Drake:
>
> I spoke with Eric and Ali and we would like to change both the overlay  
> draft and the tunnel encaps drafts as follows.
>
> encapsulations and one that supports MPLS and non-MPLS encapsulations. 
> An advertising node that only supports MPLS encapsulation does not 
> need to advertise any encapsulation tunnel types; i.e., if the BGP 
> Encapsulation extended community is not present, then either MPLS 
> encapsulation or a statically configured encapsulation is assumed."

 > tunnels, based upon local policy. If any of tunnels' TLVs contain the  > Color sub-TLV and/or the Protocol Type sub-TLV defined in [RFC5512], the
> Color sub-TLV and/or the Protocol Type sub-TLV defined in [RFC5512], 
> the choice of tunnel may be influenced by these sub-TLVs. Note that if 
> none of the TLVs specifies the MPLS tunnel type, a Label Switched Path 
> SHOULD NOT be used unless none of the TLVs specifies a feasible tunnel."

*However* it would be a pity to *not* have the very useful clear-text explanation of the reason for the 'MPLS' type (what you propose to add above in the overlay draft) in  draft-ietf-idr-tunnel-encaps-00... why provide the smooth explanation for only one of the specs to which this 'MPLS' type applies ?

Best,

-Thomas

>> The issue applies beyond the context of E-VPN overlay specs, and 
>> exist in any context where different kinds of MPLS(/x) encaps can be 
>> mixed (E-VPN non-overlay, IP VPNs), which is addressed by Eric's draft.
>>
>> Best,
>>
>> -Thomas
>

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

_______________________________________________
BESS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bess

---

From: Gunter Van De Velde <[email-masked]>
Date: Fri, 13 Nov 2015 20:46:00 +0100

Hi Lucy,

Did you take time to read
https://tools.ietf.org/html/draft-ietf-bess-evpn-overlay-02

Its used pretty intense by DC orchestration platforms nowadays. Section 5.1
provides more insight.
Brgds, G/

Sent using CloudMagic Email
[https://cloudmagic.com/k/d/mailapp?ct=pa&cv=8.0.55&pv=6.0&source=email_footer_2] 
On Fri, Nov 13, 2015 at 7:12 PM, Lucy yong < [email-masked] 
[[email-masked]] > wrote:
Hi John,

Since the tunnel encap draft goes with encap tunnel attribute and there was 
no
deployment of RFC5512, IMO, we should deprecate encapsulation extended 
community
to keep a consistent method.

Thus, should the overlay draft states if BGP tunnel encapsulate attribute 
is not
present, ....

Regards,
Lucy

-----Original Message-----
 From: BESS [mailto:[email-masked]] On Behalf Of 
[email-masked]
Sent: Friday, November 13, 2015 10:46 AM
To: John E Drake; [email-masked]
Cc: IDR; Ali Sajassi (sajassi); Eric Rosen
Subject: Re: [bess] One question about 'draft-ietf-bess-evpn-overlay-02' 
and
draft-ietf-idr-tunnel-encaps-00

John,

(Cc'ing IDR.)

 > tunnels, based upon local policy. If any of tunnels' TLVs contain the > 
Color
sub-TLV and/or the Protocol Type sub-TLV defined in [RFC5512], the

*However* it would be a pity to *not* have the very useful clear-text
explanation of the reason for the 'MPLS' type (what you propose to add 
above in
the overlay draft) in draft-ietf-idr-tunnel-encaps-00... why provide the 
smooth
explanation for only one of the specs to which this 'MPLS' type applies ?

Best,

-Thomas

Ce message et ses pieces jointes peuvent contenir des informations
confidentielles ou privilegiees et ne doivent donc pas etre diffuses, 
exploites
ou copies sans autorisation. Si vous avez recu ce message par erreur, 
veuillez
le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les
messages electroniques etant susceptibles d'alteration, Orange decline 
toute
responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged
information that may be protected by law; they should not be distributed, 
used
or copied without authorisation.
If you have received this email in error, please notify the sender and 
delete
this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been
modified, changed or falsified.
Thank you.

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: Lucy yong <[email-masked]>
Date: Fri, 13 Nov 2015 20:11:06 +0000

Hi Gunter,

Thank you to point to the right section. This overlay draft suggests to use Encapsulation extended community to indicate the type of data plane encapsulation to be used for all EVC routes. But the tunnel encap draft proposes to use tunnel encapsulation attribute + sub-TLVs to indicate the type of data plane encapsulation to be used for a prefix. Why do we want to have two solutions for the same space?

Since this overlay draft is not RFC yet, it is good for the community to make a decision on it, which keeps simple for the implementation. It is not hard to modify the draft to use tunnel encapsulation attribute indicating the type of data plane encapsulation for all EVC routes.

Regards,
Lucy

From: Gunter Van De Velde [mailto:[email-masked]]
Sent: Friday, November 13, 2015 1:46 PM
To: Lucy yong
Cc: [email-masked]; John E Drake; [email-masked]; IDR; Ali Sajassi (sajassi)
Subject: Re: [Idr] [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

Hi Lucy,

Did you take time to read
https://tools.ietf.org/html/draft-ietf-bess-evpn-overlay-02
Its used pretty intense by DC orchestration platforms nowadays. Section 5.1 provides more insight.

Brgds,
G/

Sent using CloudMagic Email<https://cloudmagic.com/k/d/mailapp?ct=pa&cv=8.0.55&pv=6.0&source=email_footer_2>
On Fri, Nov 13, 2015 at 7:12 PM, Lucy yong <[email-masked]<mailto:[email-masked]>> wrote:

Hi John,

Regards,
Lucy

-----Original Message-----
From: BESS [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Friday, November 13, 2015 10:46 AM
To: John E Drake; [email-masked]<mailto:[email-masked]>
Cc: IDR; Ali Sajassi (sajassi); Eric Rosen
Subject: Re: [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

John,

(Cc'ing IDR.)

Best,

-Thomas

>> To: John E Drake; [email-masked]<mailto:[email-masked]>
>> Cc: Eric Rosen

_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess

_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/idr

---

From: <[email-masked]>
Date: Fri, 13 Nov 2015 20:19:08 +0000

Lucy,

The tunnel encap also describe how to use the extended community, in section 6.

Best,

-Thomas

---- Lucy yong a écrit ----

Hi Gunter,

Regards,
Lucy

Hi Lucy,

Brgds,
G/

Hi John,

Regards,
Lucy

-----Original Message-----
From: BESS [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Friday, November 13, 2015 10:46 AM
To: John E Drake; [email-masked]<mailto:[email-masked]>
Cc: IDR; Ali Sajassi (sajassi); Eric Rosen
Subject: Re: [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

John,

(Cc'ing IDR.)

Best,

-Thomas

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
France Telecom - Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorization.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, France Telecom - Orange shall not be liable if this message was modified, changed or falsified.
Thank you.

---

From: Lucy yong <[email-masked]>
Date: Fri, 13 Nov 2015 20:21:22 +0000

Yes, kindly for backward compatibility. Having two ways to do it is a pain for the implementation.
Lucy

From: [email-masked] [mailto:[email-masked]]
Sent: Friday, November 13, 2015 2:19 PM
To: Gunter Van De Velde; Lucy yong
Cc: John E Drake; [email-masked]; IDR; Ali Sajassi (sajassi)
Subject: RE: [Idr] [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

Lucy,

Best,

-Thomas

---- Lucy yong a écrit ----
Hi Gunter,

Regards,
Lucy

From: Gunter Van De Velde [mailto:[email-masked]]
Sent: Friday, November 13, 2015 1:46 PM
To: Lucy yong
Cc: [email-masked]<mailto:[email-masked]>; John E Drake; [email-masked]<mailto:[email-masked]>; IDR; Ali Sajassi (sajassi)
Subject: Re: [Idr] [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

Hi Lucy,

Brgds,
G/

Hi John,

Regards,
Lucy

-----Original Message-----
From: BESS [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Friday, November 13, 2015 10:46 AM
To: John E Drake; [email-masked]<mailto:[email-masked]>
Cc: IDR; Ali Sajassi (sajassi); Eric Rosen
Subject: Re: [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

John,

(Cc'ing IDR.)

Best,

-Thomas

Thank you.

---

From: "Rabadan, Jorge (Jorge)" <[email-masked]>
Date: Fri, 13 Nov 2015 21:22:41 +0000

Lucy,

There are several implementations with shipping code using the RFC5512 bgp tunnel extended community. It cannot be deprecated.
Thanks.
Jorge

From: Idr <[email-masked]<mailto:[email-masked]>> on behalf of Lucy yong <[email-masked]<mailto:[email-masked]>>
Date: Friday, November 13, 2015 at 12:21 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Gunter Van De Velde <[email-masked]<mailto:[email-masked]>>
Cc: "Ali Sajassi (sajassi)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, IDR <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
Sent: Friday, November 13, 2015 2:19 PM
To: Gunter Van De Velde; Lucy yong
Cc: John E Drake; [email-masked]<mailto:[email-masked]>; IDR; Ali Sajassi (sajassi)
Subject: RE: [Idr] [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

Lucy,

Best,

-Thomas

---- Lucy yong a écrit ----
Hi Gunter,

Regards,
Lucy

Hi Lucy,

Brgds,
G/

Hi John,

Regards,
Lucy

-----Original Message-----
From: BESS [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Friday, November 13, 2015 10:46 AM
To: John E Drake; [email-masked]<mailto:[email-masked]>
Cc: IDR; Ali Sajassi (sajassi); Eric Rosen
Subject: Re: [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

John,

(Cc'ing IDR.)

Best,

-Thomas

Thank you.

---

From: Lucy yong <[email-masked]>
Date: Fri, 13 Nov 2015 21:25:05 +0000

Jorge,

Thank you let me know. Too bad, we have to live with it.

Reagrds,
Lucy

From: Rabadan, Jorge (Jorge) [mailto:[email-masked]]
Sent: Friday, November 13, 2015 3:23 PM
To: Lucy yong; [email-masked]; Gunter Van De Velde
Cc: Ali Sajassi (sajassi); [email-masked]; IDR
Subject: Re: [Idr] [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

Lucy,

Lucy,

Best,

-Thomas

---- Lucy yong a écrit ----
Hi Gunter,

Regards,
Lucy

Hi Lucy,

Brgds,
G/

Hi John,

Regards,
Lucy

-----Original Message-----
From: BESS [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Friday, November 13, 2015 10:46 AM
To: John E Drake; [email-masked]<mailto:[email-masked]>
Cc: IDR; Ali Sajassi (sajassi); Eric Rosen
Subject: Re: [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

John,

(Cc'ing IDR.)

Best,

-Thomas

Thank you.

---

From: John E Drake <[email-masked]>
Date: Fri, 13 Nov 2015 21:58:19 +0000

Actually, no we don't.  As I indicated the last time you raised this issue, we are only going to use the extended community.

Sent from my iPhone

On Nov 13, 2015, at 4:25 PM, Lucy yong <[email-masked]<mailto:[email-masked]>> wrote:

Jorge,

Reagrds,
Lucy

From: Rabadan, Jorge (Jorge) [mailto:[email-masked]]
Sent: Friday, November 13, 2015 3:23 PM
To: Lucy yong; [email-masked]<mailto:[email-masked]>; Gunter Van De Velde
Cc: Ali Sajassi (sajassi); [email-masked]<mailto:[email-masked]>; IDR
Subject: Re: [Idr] [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

Lucy,

Lucy,

Best,

-Thomas

---- Lucy yong a écrit ----
Hi Gunter,

Regards,
Lucy

Hi Lucy,

Brgds,
G/

Hi John,

Regards,
Lucy

-----Original Message-----
From: BESS [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Friday, November 13, 2015 10:46 AM
To: John E Drake; [email-masked]<mailto:[email-masked]>
Cc: IDR; Ali Sajassi (sajassi); Eric Rosen
Subject: Re: [bess] One question about 'draft-ietf-bess-evpn-overlay-02' and draft-ietf-idr-tunnel-encaps-00

John,

(Cc'ing IDR.)

Best,

-Thomas

Thank you.